Page MenuHomePhabricator

Enlightenment 0.23.1 Doesn't detect removal of screens via thunderbolt dock
Closed, ResolvedPublic

Description

I have 2 monitors plugged into Dispaly Ports on a thunderbolt dock (below) when i disconnect the dock e doesn't detect that the monitors have been removed. What diagnostic info do you need to track this down.

https://www.dell.com/en-au/work/shop/dell-docking-station-wd19-180w/apd/210-arnd/pc-accessories

simotek created this task.Apr 5 2020, 11:04 PM
simotek triaged this task as High priority.
simotek added a project: enlightenment-git.
raster added a comment.Apr 6 2020, 1:51 AM

check your ~/.xsession-errors ... or where ever your session log goes and look for lines with RRR: at the start.

do you see any RRR: lines appear when you plug/unplug that port? i have seen it before on some devices where we just get no events from X saying anything was plugged on unplugged. that's why there is an action:

Screen -> Update and re-apply screen setup

You can bind that to some key (e.g. F12 or something) and this forces E to poll and query the randr state of screens plugged in then match it's config to that. I have found that doing this polling will cause the whole xserver to hang for a bit (e.g. 100-300ms), so having e continually poll in the background is a non-starter and thus I made it an explicit workaround.

gdm gives the world really nice logs so here you go something seems borked, it detects that it should be going from 3 -> 1 but never does. A keybinding to Update and re-apply screen setup is then fixing the issue.

Apr 07 15:29:03 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:03] INFO: XRRScreenChangeNotifyEvent or RRNotify_CrtcChange received
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: CB screen change...
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:03 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:03] INFO: XRRScreenChangeNotifyEvent or RRNotify_CrtcChange received
Apr 07 15:29:03 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:03] INFO: XRRScreenChangeNotifyEvent or RRNotify_CrtcChange received
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: CB screen change...
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: CB output change...
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: CB output change...
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: CB screen change...
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:03 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: CHANGE PW SAVE MODE TO 2 / 4
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ... 1 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: reconfigure screens due to event...
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ................. info get!
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out eDP-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (1 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes 0x5612b9061c70
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'eDP-1' 0 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-3
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-1' 3840 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-2' 1920 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-3
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: check fingerprint...
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ... fingerprint says 1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: screens lists 7 -> 7
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: --------
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: screens 3 -> 1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: --------
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: do change because screen count changed
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: --------
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: changed = 1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: --------------------------------------------------
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=eDP-1/00ffffffffffff004d10ba1400000000161d0104a52213780ede50a3544c99260f505400000001010101010101010101010101010101ac3780a070383e403020350058c210000018000000000000000000000000000000000000000000fe004d57503154804c513135364d31000000000002410332001200000a010a202000d3:  connected=1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: check lid for eDP-1...
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1/:  connected=0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-2/:  connected=0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-3/:  connected=0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1-1/:  connected=0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1-2/:  connected=0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1-3/:  connected=0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: --------------------------------------------------
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: lids=1 closed=0 ext=0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: change = 1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: skip change with lid screens open and no ext
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ................. info get!
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out eDP-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (1 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes 0x5612b9061c70
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'eDP-1' 0 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-3
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-1' 3840 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-2' 1920 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-3
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR:-------------------------------- 2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'eDP-1': 0 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-1': 3840 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-2': 1920 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: result max: 5760x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama screen 1920 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama screen 0 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama screen 3840 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama setup............... 3 0x5612b92d2520
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ match screens 0x5612b9de26d0[1] = 0 0 1920x1080 -- 1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ matches existing zone 0x5612b8ecd320
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]:    move resize 0 0 1920x1080 -> 0 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ match screens 0x5612b9c8f7a0[0] = 1920 0 1920x1080 -- 0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ matches existing zone 0x5612b8fd44c0
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]:    move resize 1920 0 1920x1080 -> 1920 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ match screens 0x5612b8c7ef90[2] = 3840 0 1920x1080 -- 2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ matches existing zone 0x5612b8fe1c10
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]:    move resize 3840 0 1920x1080 -> 3840 0 1920x1080
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on eDP-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-3
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1-1
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1-2
Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1-3
Apr 07 15:29:10 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:10] NOTE: server is dead
Apr 07 15:29:10 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:10] INFO: leaving screen
Apr 07 15:29:10 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:10] WARNING: failed to connect to server: server is not responding
Apr 07 15:29:11 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:11] NOTE: connecting to '172.16.0.101': 172.16.0.101:24800
Apr 07 15:29:11 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:11] NOTE: connected to server
Apr 07 15:29:13 tek-top.simotek.local synergyc[2755]: Synergy 1.9.0: [2020-04-07T15:29:13] INFO: XRRScreenChangeNotifyEvent or RRNotify_CrtcChange received
Apr 07 15:29:13 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:13 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:13 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:13 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: CB screen change...
Apr 07 15:29:13 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:13 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:13 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ... 1 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: reconfigure screens due to event...
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ................. info get!
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out eDP-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (1 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes 0x5612b9061c70
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'eDP-1' 0 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-3
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-1' 3840 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-2' 1920 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-3
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: check fingerprint...
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ... fingerprint says 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: screens lists 7 -> 7
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: --------
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: screens 1 -> 1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: --------
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: skip change because of single laptop lid
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: --------
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: changed = 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: --------------------------------------------------
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=eDP-1/00ffffffffffff004d10ba1400000000161d0104a52213780ede50a3544c99260f505400000001010101010101010101010101010101ac3780a070383e403020350058c210000018000000000000000000000000000000000000000000fe004d57503154804c513135364d31000000000002410332001200000a010a202000d3:  connected=1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: check lid for eDP-1...
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1/:  connected=0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-2/:  connected=0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-3/:  connected=0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1-1/:  connected=0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1-2/:  connected=0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: out id=DP-1-3/:  connected=0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: --------------------------------------------------
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: lids=1 closed=0 ext=0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: change = 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ................. info get!
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): EDID vendor "SHP", prod id 5306
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2360]: (II) modeset(0): Modeline "1920x1080"x0.0  142.52  1920 1968 2000 2080  1080 1083 1088 1142 -hsync -vsync (68.5 kHz eP)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out eDP-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (1 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes 0x5612b9061c70
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'eDP-1' 0 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-3
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-1' 3840 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-2' 1920 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: .... out DP-1-3
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... lid_closed = 0 (0 && 0)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... connected 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: ...... modes (nil)
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR:-------------------------------- 2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'eDP-1': 0 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-1': 3840 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: 'DP-1-2': 1920 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: result max: 5760x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama screen 1920 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama screen 0 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama screen 3840 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: xinerama setup............... 3 0x5612b92f0320
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ match screens 0x5612b976f8f0[1] = 0 0 1920x1080 -- 1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ matches existing zone 0x5612b8ecd320
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]:    move resize 0 0 1920x1080 -> 0 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ match screens 0x5612b9e170e0[0] = 1920 0 1920x1080 -- 0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ matches existing zone 0x5612b8fd44c0
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]:    move resize 1920 0 1920x1080 -> 1920 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ match screens 0x5612b8fa9200[2] = 3840 0 1920x1080 -- 2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: @ matches existing zone 0x5612b8fe1c10
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]:    move resize 3840 0 1920x1080 -> 3840 0 1920x1080
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on eDP-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-3
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1-1
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1-2
Apr 07 15:29:14 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: New unconfigured screen on DP-1-3
raster added a comment.Apr 7 2020, 2:51 AM

going to flag this to try and reproduce once i pull out my laptop and plug it into monitors etc...

Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: do change because screen count changed

implies e was going to change the screen config but then decided to skip because:

Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: skip change with lid screens open and no ext

somewhere in between e skipped.. is this git master e?

going to flag this to try and reproduce once i pull out my laptop and plug it into monitors etc...

Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: do change because screen count changed

implies e was going to change the screen config but then decided to skip because:

Apr 07 15:29:04 tek-top.simotek.local /usr/lib/gdm/gdm-x-session[2630]: RRR: skip change with lid screens open and no ext

somewhere in between e skipped.. is this git master e?

No its, 0.23.1 so last stable, but its also very easy for me to apply patches to test things.

For what its worth its going from 2 external + laptop with lid open to just laptop with lid open, so skip change with lid screens open and no ext is the final state, but in this case it isn't a valid reason to skip.

raster added a comment.Apr 9 2020, 1:11 AM

ooooh can you try git master? i may have fixed that. i swear i hunted something like this already.

simotek closed this task as Resolved.Apr 19 2020, 12:31 AM

Fixed in 0.24